CREATE TABLE "T_REFERENTE_AFECTIVO" 
   (	"ID_REFERENTE_AFECTIVO" NUMBER(10,0) NOT NULL ENABLE, 
   "ID_LEGAJO" NUMBER(10,0),
   "ID_TIPO_VINCULO_FAMILIAR" NUMBER(10,0),
	"APELLIDO_Y_NOMBRE" VARCHAR2(100),
  "DOCUMENTO" VARCHAR2(8),
  "SEXO" VARCHAR2(1),
  "ID_ESTADO_CIVIL" NUMBER(10,0),
  "REPRESENTANTE_LEGAL" NUMBER(1,0),
  "TELEFONO" VARCHAR2(30),
  "DIRECCION" VARCHAR2(200),
  "ID_ESTUDIO_CURSADO" NUMBER(10,0),
  "ID_SITUACION_LABORAL" NUMBER(10,0),
  "FECHA_ALTA" DATE,
  "ID_USUARIO_ALTA" NUMBER(10,0),
  "FECHA_MODIFICACION" DATE,
  "ID_USUARIO_MODIF" NUMBER(10,0),
  "ACTIVO" NUMBER(1,0),
	 CONSTRAINT "PK_REF_AFEC" PRIMARY KEY ("ID_REFERENTE_AFECTIVO"),
   CONSTRAINT "FK_REF_AFEC_LEGAJO" FOREIGN KEY ("ID_LEGAJO") REFERENCES "T_LEGAJO" ("ID_LEGAJO"),
   CONSTRAINT "FK_REF_AFEC_TPO_VIN_F" FOREIGN KEY ("ID_TIPO_VINCULO_FAMILIAR") REFERENCES "T_TIPO_VINCULO_FAMILIAR" ("ID_TIPO_VINCULO_FAMILIAR"),
   CONSTRAINT "FK_REF_AFEC_ESTADO_CIV" FOREIGN KEY ("ID_ESTADO_CIVIL") REFERENCES "T_ESTADO_CIVIL" ("ID_ESTADO_CIVIL"),
   CONSTRAINT "FK_REF_AFEC_ESTU_CURS" FOREIGN KEY ("ID_ESTUDIO_CURSADO") REFERENCES "T_ESTUDIO_CURSADO" ("ID_ESTUDIO_CURSADO"),
   CONSTRAINT "FK_REF_AFEC_SIT_LAB" FOREIGN KEY ("ID_SITUACION_LABORAL") REFERENCES "T_SITUACION_LABORAL" ("ID_SITUACION_LABORAL"),
   CONSTRAINT "FK_REF_AFEC_USU_ALTA" FOREIGN KEY ("ID_USUARIO_ALTA") REFERENCES "T_USUARIO" ("ID_USUARIO"),
   CONSTRAINT "FK_REF_AFEC_USU_MODIF" FOREIGN KEY ("ID_USUARIO_MODIF") REFERENCES "T_USUARIO" ("ID_USUARIO")
   )  ;